
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发中LinearLayout布局技巧及layout中drawable属性区别 / iVAN</title>

    <meta name="description" content="Android开发中LinearLayout布局技巧及layout中drawable属性区别 先介绍drawable属性的区别,这个算是比较简单的,但是还是有一点点的小细节需要进行说明,drawable有五个文件夹,分别为hdpi,ldpi,mdpi,xdpi,xxdpi,这五个文件夹想必大家都知道,其实就是为了适应不同分辨率,由于手机分辨率的不同,因此我们的图片需要适应不同手机的分辨率...hdpi:480x800   mdpi:480x320   ldpi:320x240xdpi:1280x720 xxdpi 1920x1280其实这个数字并不是非常精确的,只是说明每一个阶段都有一个">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android开发中LinearLayout布局技巧及layout中drawable属性区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>先介绍<strong>drawable属性的区别</strong>，这个算是比较简单的，但是还是有一点点的小细节需要进行说明，drawable有五个文件夹，分别为hdpi,ldpi,mdpi,xdpi,xxdpi，这五个文件夹想必大家都知道，其实就是为了适应不同分辨率，由于手机分辨率的不同，因此我们的图片需要适应不同手机的分辨率...hdpi：480x800   mdpi:480x320   ldpi:320x240xdpi:1280x720 xxdpi 1920x1280其实这个数字并不是非常精确的，只是说明每一个阶段都有一个分辨率范围...Android由于和IOS不一样，IOS是不需要考虑分辨率的，但是Android必须要考虑分辨率问题，比如说我们在hdpi中放入的图片在布局中显示是非常正常的，但是在xdpi里，那就会变得非常的小...因此我们在设计app的时候，我们需要考虑不同的手机，因此我们需要在这几个文件夹中分别放入不同大小的图片，这样Andorid系统可以根据手机的分辨率来选择合适的图片资源进行加载，收一下dip到底表示的是什么意思，Android中表示大小的一个单位，dpi指像素/英寸，简单的说一下dpi到底表示的大小值...ldpi指120，mdpi指160，hdpi 指240，xhdpi指320。比如说小米手机是4英寸、854×480的分辨率，那么小米手机的dpi就是854的平方加480的平方和开2次方后除以4，结果大约是245。如果应用安装在小米手机上，那么系统会调用图中drawable-hdpi里面的资源。这样，你只要做4套资源分别放在 drawable-ldpi、drawable-mdpi、drawable-hdpi以及drawable-xdpi下（图标可以按照3：4：6：8的 比例制作图片资源），那么就可以图片在不同分辨率上有可能失真的情况...</p>
<p><strong>Android中LinearLayout布局技巧</strong></p>
<p>上面只是一个小小的介绍一下，下面来说一下最近发现了一种布局的技巧，原本个人认为RelativeLayout是最好用的布局，同时自己也在使用着表格布局，但是发现使用TableLayout已经是很少很少了，没想到还有一种布局方式是LinearLayout，有人会问，LinearLayout有什么稀奇的，其实LinearLayout并不稀奇，而是这里有一个属性是layout_weight，这样是我最近才发现的...虽然很早就有了...总之我觉得这个东西是非常好用的，通过使用0dp+layout_weight来进行布局是非常巧妙的一种方式...其实就是实现了比例布局..这样布局就可以直接适应不同手机的屏幕...从而避免了在不同手机上布局无法同步的问题..举个例子...</p>
<pre>&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal" &gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#0045f5"
        android:gravity="center"
        android:text="1" /&gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#00ff47"
        android:gravity="center"
        android:text="2" 
        android:layout_weight="1"/&gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#ff5600"
        android:gravity="center"
        android:layout_weight="1"
        android:text="3" /&gt;
&lt;/LinearLayout&gt;</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg4OTk0MTMxMjQ2LmpwZw==.jpg">开发</a>中LinearLayout布局技巧及layout中drawable属性区别-linearlayout垂直布局"&gt;</p>
<p>这个就是布局后的样式，我们设置的layout_width=“wrap_content”，按照常理来说，系统应该会为三个TextView分配默认的空间，并且三个空间的大小应该是相同的，但是正是因为我们为后面两个设置了layout_weight属性，这样系统会先为第一个TextView分配默认空间大小，就比如说10dp吧，假设我们的屏幕大小为480x800的分辨率，那么剩下470dp的大小将会按照比例分配给两个TextView...第二个TextView分配到的大小就是(470/2=225dp),第二个也是225dp...</p>
<p>那么我们是否就可以做出一个结论呢？就是设置了layout_weight后的控件，会按指定比例分配剩余控件呢？其实并不是这样的，我们再来看一个布局...</p>
<pre>&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal" &gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#0045f5"
        android:gravity="center"
        android:text="1" /&gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#00ff47"
        android:gravity="center"
        android:text="2222222222222222222" 
        android:layout_weight="1"/&gt;
    &lt;TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#ff5600"
        android:gravity="center"
        android:layout_weight="1"
        android:text="3" /&gt;
&lt;/LinearLayout&gt;</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MDA4Mzk4MDQzLmpwZw==.jpg"></p>
<p>这个就是布局的结果，这样就会出现问题了，其实在设置了wrap_content，系统会先看控件到底要占用多少空间，就是先回按照wrap_content对控件分配空间，由于第二个控件的默认空间比较大，因此系统只能使用wrap_content对其分配空间，不会再按照layout_weight属性按照比例分配空间了...因此这里我们设置layout_width的时候不能设置为wrap_content，我们需要设置成0dp....再看下面的例子....</p>
<pre>&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal" &gt;
    &lt;TextView
        android:layout_width="0dip"
        android:layout_height="wrap_content"
        android:background="#0045f5"
        android:gravity="center"
        android:layout_weight="1"
        android:text="1" /&gt;
    &lt;TextView
        android:layout_width="0dip"
        android:layout_height="wrap_content"
        android:background="#00ff47"
        android:gravity="center"
        android:text="2222222222222222222" 
        android:layout_weight="2"/&gt;
    &lt;TextView
        android:layout_width="0dip"
        android:layout_height="wrap_content"
        android:background="#ff5600"
        android:gravity="center"
        android:layout_weight="3"
        android:text="3" /&gt;
&lt;/LinearLayout&gt;</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MDIxMTE0ODk0LmpwZw==.jpg"></p>
<p>这里我们把layout_width=“0dp”，然后配合layout_weight属性，实现了空间宽度的1:2:3的进行分配，而长度由于我们没有进行规定，因此使用了wrap_content属性...这样0dp配合着layout_weight属性实现了布局的比例分配...那么如果我们想要把高度也按照比例分配的话，那么就把layout_height=“0dp”...然后配合weight属性就可以同样实现了布局中高度按照比例进行分配...这里我们一定要使用0dp...解释一下Android如何会按照比例布局呢？我们仍然假设我们的屏幕大小是480，那么由于我们设置的三个TextView大小都为0dp，那么系统会先按照我们设置的大小进行计算，480-3*0=480，那么剩余的空间大小仍然为480dp，最后剩余的空间按照比例来进行分配...这样就实现了宽度的1:2:3的大小进行分配...如果我们使用了“fill_parent”属性，那么就会出现不相同的效果...在看下面的布局...</p>
<pre>&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal" &gt;
    &lt;TextView
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="#0045f5"
        android:gravity="center"
        android:layout_weight="1"
        android:text="1" /&gt;
    &lt;TextView
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="#00ff47"
        android:gravity="center"
        android:text="2" 
        android:layout_weight="2"/&gt;
    &lt;TextView
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="#ff5600"
        android:gravity="center"
        android:layout_weight="2"
        android:text="3" /&gt;
&lt;/LinearLayout&gt;</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MDM2NzU4MzA2LmpwZw==.jpg"></p>
<p>这就是我们使用了fill_parent的后果，并没有按照我们想要的比例出现结果...这里导致的问题就是，由于我们设置的空间大小都为fill_parent属性，因此剩余空间大小就是480-3*480=-960dp，然后按照比例进行分配大小 480+（-960*(1/5)）=228dp 480*(-960*(2/5))=96dp 第三个也是96dp...这样反而导致成了3:1:1的情况出现...这就是使用了fill_parent属性出现的问题...使用fill_parent这个属性配合layout_weight属性，分配的比例是需要我们人为进行计算...看到这里，是不是已经清晰了呢？</p>
<p><strong>Android：LinearLayout布局中Layout_weight的深刻理解</strong></p>
<p>首先看一下LinearLayout布局中Layout_weight属性的作用：它是用来分配属于空间的一个属性，你可以设置他的权重。很多人不知道剩余空间是个什么概念，下面我先来说说剩余空间。</p>
<p>看下面代码：</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;     
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"     
    android:orientation="vertical"     
    android:layout_width="fill_parent"     
    android:layout_height="fill_parent"     
    &gt;     
&lt;EditText     
    android:layout_width="fill_parent"     
    android:layout_height="wrap_content"     
    android:gravity="left"     
    android:text="one"/&gt;     
&lt;EditText     
    android:layout_width="fill_parent"     
    android:layout_height="wrap_content"     
    android:gravity="center"     
    android:layout_weight="1.0"     
    android:text="two"/&gt;     
    &lt;EditText     
    android:layout_width="fill_parent"     
    android:layout_height="wrap_content"     
    android:gravity="right"     
    android:text="three"/&gt;     
&lt;/LinearLayout&gt;</pre>
<p>运行结果是：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MjI3NzU4MjE5LnBuZw==.jpg"></p>
<p>看上面代码：只有Button2使用了Layout_weight属性，并赋值为了1，而Button1和Button3没有设置Layout_weight这个属性，根据API，可知，他们默认是0</p>
<p>下面我就来讲，Layout_weight这个属性的真正的意思：Android系统先按照你设置的3个Button高度Layout_height值wrap_content,给你分配好他们3个的高度，</p>
<p>然后会把剩下来的屏幕空间全部赋给Button2,因为只有他的权重值是1，这也是为什么Button2占了那么大的一块空间。</p>
<p>有了以上的理解我们就可以对网上关于Layout_weight这个属性更让人费解的效果有一个清晰的认识了。</p>
<p>我们来看这段代码：</p>
<pre>&lt;？xml version="1.0" encoding="UTF-8"？&gt;   
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"   
    android:layout_width="fill_parent"   
    android:layout_height="wrap_content"   
    android:orientation="horizontal" &gt;   
    &lt;TextView   
        android:background="＃ff0000"   
        android:layout_width="**"   
        android:layout_height="wrap_content"   
        android:text="1"   
        android:textColor="＠android:color/white"   
        android:layout_weight="1"/&gt;   
    &lt;TextView   
        android:background="＃cccccc"   
        android:layout_width="**"   
        android:layout_height="wrap_content"   
        android:text="2"   
        android:textColor="＠android:color/black"   
        android:layout_weight="2" /&gt;   
     &lt;TextView   
        android:background="＃ddaacc"   
        android:layout_width="**"   
        android:layout_height="wrap_content"   
        android:text="3"   
        android:textColor="＠android:color/black"   
        android:layout_weight="3" /&gt;   
&lt;/LinearLayout&gt;</pre>
<p>三个文本框的都是 layout_width=“wrap_content ”时，会得到以下效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MjQ0NDQzOTE1LmpwZw==.jpg"></p>
<p>按照上面的理解，系统先给3个TextView分配他们的宽度值wrap_content（宽度足以包含他们的内容1,2,3即可），然后会把剩下来的屏幕空间按照1:2:3的比列分配给3个textview，所以就出现了上面的图像。</p>
<p>而当layout_width=“fill_parent”时，如果分别给三个TextView设置他们的Layout_weight为1、2、2的话，就会出现下面的效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5MjYzODUxOTg2LmpwZw==.jpg"></p>
<p>你会发现1的权重小，反而分的多了，这是为什么呢？？？网上很多人说是当layout_width=“fill_parent”时，weighth值越小权重越大，优先级越高，就好像在背口诀</p>
<p>一样，其实他们并没有真正理解这个问题，真正的原因是Layout_width="fill_parent"的原因造成的。依照上面理解我们来分析：</p>
<p>系统先给3个textview分配他们所要的宽度fill_parent，也就是说每一都是填满他的父控件，这里就死屏幕的宽度</p>
<p>那么这时候的剩余空间=1个parent_width-3个parent_width=-2个parent_width (parent_width指的是屏幕宽度 )</p>
<p>那么第一个TextView的实际所占宽度应该=fill_parent的宽度,即parent_width + 他所占剩余空间的权重比列1/5 * 剩余空间大小（-2 parent_width）=3/5parent_width</p>
<p>同理第二个TextView的实际所占宽度=parent_width + 2/5*(-2parent_width)=1/5parent_width;</p>
<p>第三个TextView的实际所占宽度=parent_width + 2/5*(-2parent_width)=1/5parent_width；所以就是3:1:1的比列显示了。</p>
<p>这样你也就会明白为什么当你把三个Layout_weight设置为1、2、3的话,会出现下面的效果了：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8xNDM3OTg5Mjc2OTAzNjY3LmpwZw==.jpg"></p>
<p>第三个直接不显示了，为什么呢？一起来按上面方法算一下吧：</p>
<p>系统先给3个textview分配他们所要的宽度fill_parent，也就是说每一都是填满他的父控件，这里就死屏幕的宽度</p>
<p>那么这时候的剩余空间=1个parent_width-3个parent_width=-2个parent_width (parent_width指的是屏幕宽度 )</p>
<p>那么第一个TextView的实际所占宽度应该=fill_parent的宽度,即parent_width + 他所占剩余空间的权重比列1/6 * 剩余空间大小（-2 parent_width）=2/3parent_width</p>
<p>同理第二个TextView的实际所占宽度=parent_width + 2/6*(-2parent_width)=1/3parent_width;</p>
<p>第三个TextView的实际所占宽度=parent_width + 3/6*(-2parent_width)=0parent_width；所以就是2:1:0的比列显示了。第三个就直接没有空间了。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                控件<br />
                    ，                系统<br />
                    ，                属性<br />
                                    linearlayout<br />
                                    linearlayout垂直布局、linearlayout布局、linearlayout横向布局、linearlayout布局属性、linearlayout水平布局，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 20:49:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/linearlayout/" title="linearlayout">linearlayout</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android开发中LinearLayout布局技巧及layout中drawable属性区别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn842kb.html" rel="bookmark">Android开发之开门狗在程序锁中的应用实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之开门狗在程序锁中的应用方法.分享给大家供大家参考,具体如下: protected static final String TAG = &quot;WatchDogService&quot;; private AppLockDao dao; private List&lt;String&gt; lockApps; private ActivityManager am; private Intent lockappintent; @Override public IBinde			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjYlWM.html" rel="bookmark">如何在android开发中点击按钮切换多区域中其中一个区域的显示内容？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在android开发中点击按钮切换多区域中其中一个区域的显示内容? 如何在android开发中将一个视图划分上下三块,上方显示图像,中间显示控制按钮,点击下方按钮,切换中间区域显示内容? 解决方案 方法1:从你的问题看来按钮点击事件我就不说了,你可以用fragment(片段),具体怎么用? 布局文件里面有个framelayout用来更改这片区域. 写一个fragment类,也就是集成fragment 在activity里面用fragmentmanager切换 -----------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmyR8b.html" rel="bookmark">图片-android开发问题：如何管理task栈中的activity</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android开发问题:如何管理task栈中的activity 是这样的,如上图,目前task栈中有三个activity,顶端是activity3 问题:从activity3中开启activity1,我只想将activity1提到栈顶,而不想从新new 我试过singletask和singleInstance都没打到理想效果... 使用singletask时,会将activity2和activity3出栈,,不是想要的结果... 使用singleinstance,在从activity3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWGEGz.html" rel="bookmark">Android开发之使用ExifInterface获取拍照后的图片属性&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之使用ExifInterface获取拍照后的图片属性.分享给大家供大家参考,具体如下: ExifInterface exif = new ExifInterface(file.getPath()); String widthStr = exif.getAttribute(ExifInterface.TAG_IMAGE_WIDTH); String heightStr = exif.getAttribute(ExifInterface.TAG_IMAGE_LENGT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mym9lZM.html" rel="bookmark">Android开发之使用ExifInterface获取拍照后的图片属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之使用ExifInterface获取拍照后的图片属性.分享给大家供大家参考,具体如下: ExifInterface exif = new ExifInterface(file.getPath()); String widthStr = exif.getAttribute(ExifInterface.TAG_IMAGE_WIDTH); String heightStr = exif.getAttribute(ExifInterface.TAG_IMAGE_LENGT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8EenNz.html" rel="bookmark">Android中LinearLayout布局的常用属性总结&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本属性要求 &lt;LinearLayout android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot; android:orientation=&quot;vertical&quot;&gt; &lt;/LinearLayout&gt; android:orientation 决定是水平排列或是垂直排列 vertical 垂直排列 horizontal 水平排列 垂直排列 Bu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOkjRb.html" rel="bookmark">Android中LinearLayout布局的常用属性总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本属性要求 &lt;LinearLayout android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot; android:orientation=&quot;vertical&quot;&gt; &lt;/LinearLayout&gt; android:orientation 决定是水平排列或是垂直排列 vertical 垂直排列 horizontal 水平排列 垂直排列 Bu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6oJvz.html" rel="bookmark">Android开发之表格布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TableLayout置底,TableRow在TableLayout的上面,而Button.TextView等控件就在TableRow之上, 另外,TableLayout之上也可以单独放控件.TableLayout是一个使用复杂的布局,最简单的用法就仅 仅是拖拉控件做出个界面,但实际上,会经常在代码里使用TableLayout,例如做出表格的效果.   android:collapseColumns:以第0行为序,隐藏指定的列 android:shrinkColumns:以第0行为序,自动延伸指			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4AxOp.html" rel="bookmark">Android开发之线性布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基础知识:    id=&quot;@+id/edtInput&quot;,ID 是连接UI 与代码的桥梁   layout_width=&quot;fill_parent&quot; ,自动填充至屏幕宽度   layout_width=&quot;wrap_content&quot; ,自动填充为控件大小     在LinearLayout 里面的控件,按照水平或者垂直排列:    orientation=&quot;horizontal&quot; :水平排列:    orientation=&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDJavM.html" rel="bookmark" class="title">如何用border</a>
					<div>
						border-radius来实现圆角DIV 页面中圆角的实现是个很头疼的问题,虽然现在有很多种实现方法,但是都是比较麻烦的.在本文中,让我们看看如何使用CSS3 border-radius来实现圆角D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNqjxb.html" rel="bookmark" class="title">网页设计技巧&colon;符合用户体验的登陆框设计</a>
					<div>
						文章描述:网站登陆框设计之我见. 网站所处阶段不同,登陆框的设计,尤其是在网页上的表现形式,自然应该有所区别才对.大部分人,在做网站首页设计时,喜欢参考大型网站,尤其是已经成熟的网站登录设计,即:一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaArnb.html" rel="bookmark" class="title">新站如何快速让搜索引擎收录</a>
					<div>
						目前有很多新站长们都面临一个问题,就是想做推广但是搜索引擎不收录首页,就因为这个原因,站长们每天坚持的发帖吸引蜘蛛收录,但是还是没有效果,所以这件事让新站长们很是头疼,其实在我的网站刚刚上线的时候,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lEPz.html" rel="bookmark" class="title">分析2012年百度新增或更新的四大产品</a>
					<div>
						这段时间百度连连更新,首先是年前增加百度分享,然后是百度统计增加了许多新的功能,再来是这两天增加的百度识图和百度论坛,都给站长们增加了许多快捷好用的新功能. 1.百度论坛 我也是今早在A5杂谈看人帖子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKGZ1p.html" rel="bookmark" class="title">利用PS液化滤镜给美女瘦身</a>
					<div>
						教程重点是在液化滤镜的灵活运用,在教程开始之前最好是要对液化滤镜有一定的了解.这样修图的时候就可以非常顺手. 原图 最终效果 1.原图如下,我们看到,图中被我画红圈的部位,是有一些不好看的肉肉的,呵呵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1r1qz.html" rel="bookmark" class="title">苹果Macbook Air上安装Win7</a>
					<div>
						越来越多的人从iPhone和iPad之后接触到了苹果,很多人也在感受到Macbook Air极致的超轻薄之后动了买入之心,然而在操作习惯上却依然还是只喜欢和熟悉微软的Windows7操作系统.当有鱼有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYAVXb.html" rel="bookmark" class="title">金山WPS表格中轻松统一日期格式</a>
					<div>
						  平常办公中经常需要收集汇总下级各部门上报的数据表格.由于各部门输入人员并没有按统一标准格式输入日期,汇总数据之后往往会发现汇总数据中的日期有很多种格式.除了2009-2-3.1978年5月6日等标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw9OGp.html" rel="bookmark" class="title">Win8无法使用LOL盒子的解决方法</a>
					<div>
						  解决方法: LOL盒子到目前为止并没有说明操作系统不兼容的情况,如果出现无法打开盒子或者是开不了游戏,可以尝试卸载LOL盒子后重新安装,应该就能解决问题了.如果重装后还是不行,就试试不用盒子能否进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY9BoM.html" rel="bookmark" class="title">Mac版Office2011&colon;加强云服务</a>
					<div>
						  微软正式升级了Mac版Office2011.目前该软件已经升级到14.3.4版本.该版本除了在性能和功能上做出优化外,还加入了Office 365云服务套件.从此以后,Mac上的Office用户也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB86az.html" rel="bookmark" class="title">刚刚拿到融资的高朋网以千万元广告重新杀入团购战场</a>
					<div>
						刚刚拿到融资的高朋网以千万元广告重新杀入团购战场.来自高朋网的消息称,其已经开始展开线上线下广告投放,预计初步投资将达到千万元级别.业内人士分析,重启广告战略有助高朋网在短时间内赢得曝光率. 记者昨日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE643qM.html" rel="bookmark" class="title">请问下，为什么jquery添加div后，后面的div总显示在前面，多谢</a>
					<div>
						问题描述 请问下,为什么jquery添加div后,后面的div总显示在前面,如图,让添加到显示到最前面该怎么做呢,z-index好像不行,而且加了后下面的input无法编辑,请帮看看多谢啦 HTML& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrqWWM.html" rel="bookmark" class="title">起名网站颇为热闹 而且收费并不低</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &quot;跪求一男孩名&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y5BVM.html" rel="bookmark" class="title">国务院发文支持O2O行业：融合势在必行</a>
					<div>
						文章讲的是国务院发文支持O2O行业:融合势在必行, 9月29日上午消息,国务院办公厅今天印发&lt;关于推进线上线下互动加快商贸流通创新发展转型升级的意见&gt;.意见称,移动互联网等新一代信息技术加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4ABAz.html" rel="bookmark" class="title">浙江杰邦控股集团被曝骗取银行贷款涉非法吸储</a>
					<div>
						在浙江这片先富起来的土地上,人们都说&quot;资金如水,投资如渠&quot;,也只有如此方能滋润着年复一年的兴旺.可同样挡不住的是溪流之中,泥沙俱下:一些人打着投资的牌子,通过各种各样的手段骗取银行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydXndb.html" rel="bookmark" class="title">一天学会PostgreSQL应用开发与管理 - 8 PostgreSQL 管理</a>
					<div>
						本章大纲 一.权限体系 1 逻辑结构 2 权限体系 3 schema使用 , 特别注意 4 用户 5 public 6 如何查看和解读一个对象的当前权限状态 二.索引介绍 1 索引有什么用? 2 索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqqJxb.html" rel="bookmark" class="title">给串口发送16进制字符串命令和包括16进制命令转换为字节数组</a>
					<div>
						using System;using System.Collections.Generic;using System.Text;using System.IO.Ports;namespace Seri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22N34b.html" rel="bookmark" class="title">内存不能为 read-安装VPstudio的时候出现应用程序错误</a>
					<div>
						问题描述 安装VPstudio的时候出现应用程序错误 这是什么原因啊?旁边的电脑都不能安装...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22EErb.html" rel="bookmark" class="title">快速在阿里云上构建机器学习应用</a>
					<div>
						3月28日云栖大会开源专场,阿里云技术专家必嘫给大家带来了&quot;在阿里云上构建机器学习应用&quot;的演讲.本文主要从深度学习应用发展历史开始谈起,进而介绍了如何结合阿里云容器服务的机器学习解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze04X7p.html" rel="bookmark" class="title">火币网敲定千万美元A轮融资抓紧扩张海外市场</a>
					<div>
						去年9月上线的比特币交易平台火币网,通过不收手续费策略获得越来越多的市场份额,并透露已基本敲定千万美元级A轮融资,还会抓紧扩张海外市场. 全球市场份额最大的比特币交易所火币网近日透露,千万美元级的 A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYKgqb.html" rel="bookmark" class="title">批量修改ssh配置的expect脚本&lowbar;linux shell</a>
					<div>
						第一思路,用iptables把外网ssh的包DROP掉:第二思路,用tcpwrapper把sshd的allow写死:第三思路,修改sshd_config,只监听内网请求. 由于一些说不清楚的原因,ip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr25YVM.html" rel="bookmark" class="title">python基于xml parse实现解析cdatasection数据&lowbar;python</a>
					<div>
						本文实例讲述了python基于xml parse实现解析cdatasection数据的方法,分享给大家供大家参考. 具体实现方法如下: from xml.dom.minidom import * im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5X95z.html" rel="bookmark" class="title">php设计模式 Visitor 访问者模式&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php /** * 访问者模式 * * 表示一个作用于某对象结构中的各元素的操作,可以在不改变各元素的类的前提下定义作用于这些元素的新操作 * */ abstract  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QrA6p.html" rel="bookmark" class="title">Android手机开发 使用线性布局和相对布局实现Button垂直水平居中&lowbar;Android</a>
					<div>
						居中呢,这里分两种不同布局方式的居中!分别是 LinearLayout 和RelativeLayout. 一.首先说的是LinearLayout布局下的居中: 注意:android:layout_wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWdD2z.html" rel="bookmark" class="title">python-MySQLdb unicode问题插入</a>
					<div>
						问题描述 MySQLdb unicode问题插入 使用python MySQLdb如何将unicode 串插入mysql中 数据库的表的字符集需要设置成什么? s = u&quot;你好&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn6W5p.html" rel="bookmark" class="title">Struts的action提交后，结果页面刷新报错的问题</a>
					<div>
						问题描述 经过如下:struts有一个action,是显示用户列表的,在首页通过此连接来显示所有用户列表,通过hibernate查询后,将list存放在request中,然后在结果页面,通过取得req ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2Zr4M.html" rel="bookmark" class="title">一个小问题讨论下。关于foreach的</a>
					<div>
						问题描述 请编写一个小程序,使用foreach遍历一个DataTable,DataTable中有姓名.年龄.性别等字段,删除年龄小于18岁且性别为男性的记录经过大家的帮助研究出第一种情况DataTab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmKjop.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;2&period;14 康复机器人</a>
					<div>
						2.14 康复机器人 康复机器人是近年来兴起的一种运动神经康复治疗技术,属于医疗机器人的一个重要的分支.康复机器人不仅提供了有效的治疗手段和完善的评估方案,而且为深入研究人体运动康复规律,以及大脑与肢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvNdmM.html" rel="bookmark" class="title">网易客服：魔兽审批正在有序进行玩家勿要信谣言</a>
					<div>
						6月30日,网易客服在接受搜狐IT垂询时表示,现在尚没有接到魔兽服务器何时开放的通知,目前,网易的服务器正在进行玩家数据的对接工作. 同时,上述客服也表示,魔兽战网正在进行测试,并将于近期开放,玩家可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YE9Rp.html" rel="bookmark" class="title">同样的代码用appserv的速度比用独立的mysql和php快很多，为什么？</a>
					<div>
						问题描述 同样的代码用appserv的速度比用独立的mysql和php快很多,为什么? 同样的代码用appserv的速度比用独立的mysql和php快很多,为什么?我要在独立的mysql和php里面怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq5l6p.html" rel="bookmark" class="title">《数据结构与算法 C语言版》&mdash;&mdash; 2&period;1线性表的定义</a>
					<div>
						2.1线性表的定义 2.1.1线性表的概念 线性表是一种线性结构.简言之,一个线性表是由n个数据元素构成的有限序列.线性表中的数据元素可以是一个数或一个字符,也可以是由若干数据项组成的记录,甚至可以是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
